import { Component } from 'vue';
import { Edge, EdgeProps, Elements, FlowState, NextElements, GraphNode, NodeProps } from "../types";
export declare const defaultNodeTypes: Record<string, Component<NodeProps>>;
export declare const defaultEdgeTypes: Record<string, Component<EdgeProps>>;
export declare const initialState: () => FlowState;
export declare const parseElements: (elements: Elements<any>, nodes: GraphNode[], edges: Edge[], nodeExtent: import("../types").TranslateExtent) => Promise<NextElements>;
export declare const deepUnref: (val: any) => any;
