import { GraphNode, SnapGrid, VFInternals } from '../../types';
interface NodeWrapperProps {
    node: GraphNode;
    vf: VFInternals;
    selectNodesOnDrag?: boolean;
    snapGrid?: SnapGrid;
    component?: any;
    draggable?: boolean;
    selectable?: boolean;
    connectable?: boolean;
    scale?: number;
}
declare const _default: import("vue").DefineComponent<__VLS_DefinePropsToOptions<NodeWrapperProps>, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    mouseMove: (data: {
        event: MouseEvent;
        node: import("../../types").Node<any>;
    }) => void;
} & {
    mouseLeave: (data: {
        event: MouseEvent;
        node: import("../../types").Node<any>;
    }) => void;
} & {
    contextMenu: (data: {
        event: MouseEvent;
        node: import("../../types").Node<any>;
    }) => void;
} & {
    click: (data: {
        event: MouseEvent;
        node: import("../../types").Node<any>;
    }) => void;
} & {
    dblClick: (data: {
        event: MouseEvent;
        node: import("../../types").Node<any>;
    }) => void;
} & {
    dragStart: (data: {
        event: MouseEvent;
        node: import("../../types").Node<any>;
    }) => void;
} & {
    drag: (data: {
        event: MouseEvent;
        node: import("../../types").Node<any>;
    }) => void;
} & {
    dragStop: (data: {
        event: MouseEvent;
        node: import("../../types").Node<any>;
    }) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    node?: unknown;
    vf?: unknown;
    selectNodesOnDrag?: unknown;
    snapGrid?: unknown;
    component?: unknown;
    draggable?: unknown;
    selectable?: unknown;
    connectable?: unknown;
    scale?: unknown;
} & {
    vf: VFInternals;
    node: GraphNode<any>;
} & {
    connectable?: boolean | undefined;
    snapGrid?: SnapGrid | undefined;
    selectNodesOnDrag?: boolean | undefined;
    draggable?: boolean | undefined;
    selectable?: boolean | undefined;
    scale?: number | undefined;
    component?: unknown;
}> & {
    onDrag?: ((data: {
        event: MouseEvent;
        node: import("../../types").Node<any>;
    }) => any) | undefined;
    onClick?: ((data: {
        event: MouseEvent;
        node: import("../../types").Node<any>;
    }) => any) | undefined;
    onMouseMove?: ((data: {
        event: MouseEvent;
        node: import("../../types").Node<any>;
    }) => any) | undefined;
    onMouseLeave?: ((data: {
        event: MouseEvent;
        node: import("../../types").Node<any>;
    }) => any) | undefined;
    onContextMenu?: ((data: {
        event: MouseEvent;
        node: import("../../types").Node<any>;
    }) => any) | undefined;
    onDblClick?: ((data: {
        event: MouseEvent;
        node: import("../../types").Node<any>;
    }) => any) | undefined;
    onDragStart?: ((data: {
        event: MouseEvent;
        node: import("../../types").Node<any>;
    }) => any) | undefined;
    onDragStop?: ((data: {
        event: MouseEvent;
        node: import("../../types").Node<any>;
    }) => any) | undefined;
}, {}>;
export default _default;
declare type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
declare type __VLS_DefinePropsToOptions<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
